ch.qos.logback.core.util

## Class CloseUtil

- java.lang.Object
- - ch.qos.logback.core.util.CloseUtil

    public class CloseUtil
    extends java.lang.Object

Static utility method for `Closeable` objects.

Author:
  Carl Harris

### Constructor Summary

Constructors
Constructor and Description
`CloseUtil()`

### Method Summary

Methods
`static void` `closeQuietly(java.io.Closeable closeable)` Closes a closeable while suppressing any `IOException` that occurs.
`static void` `closeQuietly(java.net.ServerSocket serverSocket)` Closes a server socket while suppressing any `IOException` that occurs.
`static void` `closeQuietly(java.net.Socket socket)` Closes a socket while suppressing any `IOException` that occurs.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### CloseUtil

    public CloseUtil()

### Method Detail

#### closeQuietly

    public static void closeQuietly(java.io.Closeable closeable)

Closes a closeable while suppressing any `IOException` that occurs.

Parameters:
  `closeable` - the socket to close

#### closeQuietly

    public static void closeQuietly(java.net.Socket socket)

Closes a socket while suppressing any `IOException` that occurs.

Parameters:
  `socket` - the socket to close

#### closeQuietly

    public static void closeQuietly(java.net.ServerSocket serverSocket)

Closes a server socket while suppressing any `IOException` that occurs.

Parameters:
  `serverSocket` - the socket to close